Debian Bug report logs - #365201
[NONFREE-DOC] Package contains IETF RFC/I-D

version graph

Package: phpgroupware-calendar; Maintainer for phpgroupware-calendar is (unknown);

Reported by: Simon Josefsson <jas@extundo.com>

Date: Fri, 28 Apr 2006 13:03:10 UTC

Severity: serious

Found in version 0.9.16.010-1

Fixed in version 0.9.16.011-1

Done: Steve Langasek <vorlon@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew Mitchell <ajmitch@debian.org>:
Bug#365201; Package phpgroupware-calendar. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <jas@extundo.com>:
New Bug report received and forwarded. Copy sent to Andrew Mitchell <ajmitch@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Simon Josefsson <jas@extundo.com>
To: submit@bugs.debian.org
Subject: [NONFREE-DOC] Package contains IETF RFC/I-D
Date: Fri, 28 Apr 2006 14:49:52 +0200
Package: phpgroupware-calendar
Severity: serious

Hi!

It seems your package contains non-free RFC/I-Ds:

usr/share/doc/phpgroupware-calendar/rfc2445.txt.gz	    web/phpgroupware-calendar

The license on RFCs is not DFSG-free, see:

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=199810
http://release.debian.org/removing-non-free-documentation

I believe the options are:

1) Remove the file from the package (which may include re-packaging
   the source code).

2) Move the files to a non-free package (which may also include
   re-packaging the source code).

If you disagree with this, because this bug is reported for several
packages at once, it seems better to discuss this on debian-legal, in
this thread:

http://thread.gmane.org/gmane.linux.debian.devel.legal/25993

The severity is serious, because this violates the Debian policy
<http://www.debian.org/doc/debian-policy/ch-archive.html#s-dfsg>.

I'm sorry if this report is filed in error, I went over many packages
looking for suspicious filenames, and there may be false positives.

Thanks,
Simon



Tags added: fixed Request was from sesse@debian.org (Steinar H. Gunderson) to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.9.16.010+dfsg-0.1, send any further explanations to Simon Josefsson <jas@extundo.com> Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Tags removed: fixed Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Bug marked as fixed in version 0.9.16.010+dfsg-0.1, send any further explanations to Simon Josefsson <jas@extundo.com> Request was from "Steinar H. Gunderson" <sgunderson@bigfoot.com> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Andrew Mitchell <ajmitch@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Josefsson <jas@extundo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #20 received at 365201-close@bugs.debian.org (full text, mbox):

From: Andrew Mitchell <ajmitch@debian.org>
To: 365201-close@bugs.debian.org
Subject: Bug#365201: fixed in phpgroupware 0.9.16.011-1
Date: Tue, 12 Sep 2006 15:02:42 -0700
Source: phpgroupware
Source-Version: 0.9.16.011-1

We believe that the bug you reported is fixed in the latest version of
phpgroupware, which is due to be installed in the Debian FTP archive:

phpgroupware-addressbook_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-addressbook_0.9.16.011-1_all.deb
phpgroupware-admin_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-admin_0.9.16.011-1_all.deb
phpgroupware-bookmarks_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-bookmarks_0.9.16.011-1_all.deb
phpgroupware-calendar_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-calendar_0.9.16.011-1_all.deb
phpgroupware-chat_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-chat_0.9.16.011-1_all.deb
phpgroupware-comic_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-comic_0.9.16.011-1_all.deb
phpgroupware-developer-tools_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-developer-tools_0.9.16.011-1_all.deb
phpgroupware-dj_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-dj_0.9.16.011-1_all.deb
phpgroupware-eldaptir_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-eldaptir_0.9.16.011-1_all.deb
phpgroupware-email_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-email_0.9.16.011-1_all.deb
phpgroupware-etemplate_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-etemplate_0.9.16.011-1_all.deb
phpgroupware-felamimail_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-felamimail_0.9.16.011-1_all.deb
phpgroupware-filemanager_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-filemanager_0.9.16.011-1_all.deb
phpgroupware-folders_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-folders_0.9.16.011-1_all.deb
phpgroupware-ftp_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-ftp_0.9.16.011-1_all.deb
phpgroupware-fudforum_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-fudforum_0.9.16.011-1_all.deb
phpgroupware-headlines_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-headlines_0.9.16.011-1_all.deb
phpgroupware-hr_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-hr_0.9.16.011-1_all.deb
phpgroupware-img_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-img_0.9.16.011-1_all.deb
phpgroupware-infolog_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-infolog_0.9.16.011-1_all.deb
phpgroupware-manual_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-manual_0.9.16.011-1_all.deb
phpgroupware-messenger_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-messenger_0.9.16.011-1_all.deb
phpgroupware-news-admin_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-news-admin_0.9.16.011-1_all.deb
phpgroupware-nntp_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-nntp_0.9.16.011-1_all.deb
phpgroupware-notes_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-notes_0.9.16.011-1_all.deb
phpgroupware-phonelog_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phonelog_0.9.16.011-1_all.deb
phpgroupware-phpbrain_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phpbrain_0.9.16.011-1_all.deb
phpgroupware-phpgwapi_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phpgwapi_0.9.16.011-1_all.deb
phpgroupware-phpsysinfo_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-phpsysinfo_0.9.16.011-1_all.deb
phpgroupware-polls_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-polls_0.9.16.011-1_all.deb
phpgroupware-preferences_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-preferences_0.9.16.011-1_all.deb
phpgroupware-projects_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-projects_0.9.16.011-1_all.deb
phpgroupware-qmailldap_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-qmailldap_0.9.16.011-1_all.deb
phpgroupware-registration_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-registration_0.9.16.011-1_all.deb
phpgroupware-setup_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-setup_0.9.16.011-1_all.deb
phpgroupware-sitemgr_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-sitemgr_0.9.16.011-1_all.deb
phpgroupware-skel_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-skel_0.9.16.011-1_all.deb
phpgroupware-soap_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-soap_0.9.16.011-1_all.deb
phpgroupware-stocks_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-stocks_0.9.16.011-1_all.deb
phpgroupware-todo_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-todo_0.9.16.011-1_all.deb
phpgroupware-tts_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-tts_0.9.16.011-1_all.deb
phpgroupware-wiki_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-wiki_0.9.16.011-1_all.deb
phpgroupware-xmlrpc_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware-xmlrpc_0.9.16.011-1_all.deb
phpgroupware_0.9.16.011-1.diff.gz
  to pool/main/p/phpgroupware/phpgroupware_0.9.16.011-1.diff.gz
phpgroupware_0.9.16.011-1.dsc
  to pool/main/p/phpgroupware/phpgroupware_0.9.16.011-1.dsc
phpgroupware_0.9.16.011-1_all.deb
  to pool/main/p/phpgroupware/phpgroupware_0.9.16.011-1_all.deb
phpgroupware_0.9.16.011.orig.tar.gz
  to pool/main/p/phpgroupware/phpgroupware_0.9.16.011.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 365201@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew Mitchell <ajmitch@debian.org> (supplier of updated phpgroupware package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 11 Sep 2006 22:53:41 +1200
Source: phpgroupware
Binary: phpgroupware-stocks phpgroupware-skel phpgroupware-email phpgroupware-sitemgr phpgroupware-admin phpgroupware-etemplate phpgroupware-notes phpgroupware-hr phpgroupware-qmailldap phpgroupware-preferences phpgroupware-fudforum phpgroupware-felamimail phpgroupware-headlines phpgroupware-infolog phpgroupware-news-admin phpgroupware-img phpgroupware-developer-tools phpgroupware-nntp phpgroupware-chat phpgroupware-messenger phpgroupware-projects phpgroupware-ftp phpgroupware-polls phpgroupware-dj phpgroupware-xmlrpc phpgroupware-bookmarks phpgroupware-manual phpgroupware-calendar phpgroupware-phpsysinfo phpgroupware-phpbrain phpgroupware-filemanager phpgroupware-eldaptir phpgroupware-phonelog phpgroupware-registration phpgroupware-folders phpgroupware-setup phpgroupware-phpgwapi phpgroupware-comic phpgroupware-addressbook phpgroupware phpgroupware-todo phpgroupware-tts phpgroupware-wiki phpgroupware-soap
Architecture: source all
Version: 0.9.16.011-1
Distribution: unstable
Urgency: high
Maintainer: Andrew Mitchell <ajmitch@debian.org>
Changed-By: Andrew Mitchell <ajmitch@debian.org>
Description: 
 phpgroupware - web based groupware system written in PHP
 phpgroupware-addressbook - phpGroupWare addressbook management module
 phpgroupware-admin - phpGroupWare administration module
 phpgroupware-bookmarks - phpGroupWare bookmark management module
 phpgroupware-calendar - phpGroupWare calendar management module
 phpgroupware-chat - phpGroupWare chat module
 phpgroupware-comic - phpGroupWare comic strip parser module
 phpgroupware-developer-tools - phpGroupWare developer tools
 phpgroupware-dj - phpGroupWare mp3 database interface module
 phpgroupware-eldaptir - phpGroupWare LDAP tree editor module
 phpgroupware-email - phpGroupWare E-Mail client module
 phpgroupware-etemplate - phpGroupWare etemplate module
 phpgroupware-felamimail - phpGroupWare felamimail (Squirrelmail) module
 phpgroupware-filemanager - phpGroupWare filemanager module
 phpgroupware-folders - phpGroupWare folders module
 phpgroupware-ftp - phpGroupWare ftp module
 phpgroupware-fudforum - phpGroupWare fudforum module
 phpgroupware-headlines - phpGroupWare headlines catcher module
 phpgroupware-hr - phpGroupWare human resource management module
 phpgroupware-img - phpGroupWare image editor module
 phpgroupware-infolog - phpGroupWare infolog applcation
 phpgroupware-manual - phpGroupWare on-line manual module
 phpgroupware-messenger - phpGroupWare messenger module
 phpgroupware-news-admin - phpGroupWare news administration interface
 phpgroupware-nntp - phpGroupWare newsgroup reader module
 phpgroupware-notes - phpGroupWare notes management module
 phpgroupware-phonelog - phpGroupWare phone logging module
 phpgroupware-phpbrain - phpGroupWare phpbrain module
 phpgroupware-phpgwapi - library of common phpGroupWare functions
 phpgroupware-phpsysinfo - phpGroupWare phpSysInfo module
 phpgroupware-polls - phpGroupWare polling module
 phpgroupware-preferences - phpGroupWare preferences management module
 phpgroupware-projects - phpGroupWare projects management module
 phpgroupware-qmailldap - phpGroupWare qmailldap module
 phpgroupware-registration - phpGroupWare registration module
 phpgroupware-setup - phpGroupWare setup III module
 phpgroupware-sitemgr - phpGroupWare web content manager
 phpgroupware-skel - phpGroupWare skeleton module
 phpgroupware-soap - phpGroupWare SOAP module
 phpgroupware-stocks - phpGroupWare stock management module
 phpgroupware-todo - phpGroupWare todo list management module
 phpgroupware-tts - phpGroupWare tts module
 phpgroupware-wiki - phpGroupWare wiki module
 phpgroupware-xmlrpc - phpGroupWare XMLRPC module
Closes: 314417 328439 342037 364914 365201 386061
Changes: 
 phpgroupware (0.9.16.011-1) unstable; urgency=high
 .
   * New upstream release
     - Fixes CVE-2006-4458 (Closes: #386061)
     - Supports mysql 4.1+ & postgresql 8 (Closes: #328439)
   * Add apache2 & php5 to dependencies
   * Enable php5 compatibility mode in header.inc.php.template
   * Restart apache2 in postinst (Closes: #314417)
   * Include Swedish & Dutch debconf template translations
     (Closes: #342037, #364914)
   * Thanks to Steinar H. Gunderson for NMU
 .
 phpgroupware (0.9.16.010+dfsg-0.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Repack upstream tarball to remove non-DFSG free material. (Closes: #365201)
   * Remove rfc2445.txt from the upstream tarball.
   * Update the .kpf file to reflect the removal.
Files: 
 33b133077793eff7ac652d5b5bc143d5 1552 web optional phpgroupware_0.9.16.011-1.dsc
 f15a98178b673d1a7895c8af7c466605 19130701 web optional phpgroupware_0.9.16.011.orig.tar.gz
 cebecba41059013c0b49fa9f864434c3 38928 web optional phpgroupware_0.9.16.011-1.diff.gz
 cf608794dd5de54251866783bf21638f 164528 web optional phpgroupware_0.9.16.011-1_all.deb
 c28202af699fa1251bde4faa376dfcf9 181404 web optional phpgroupware-addressbook_0.9.16.011-1_all.deb
 695e394967b0c23f6e469e1298cfa9eb 194438 web optional phpgroupware-admin_0.9.16.011-1_all.deb
 b637bf4254cc6ead351062399b427429 103100 web optional phpgroupware-bookmarks_0.9.16.011-1_all.deb
 c85f53555731dc84030d60b8b016c44f 272798 web optional phpgroupware-calendar_0.9.16.011-1_all.deb
 403de247c41959f3b6060426145b7b2c 24062 web optional phpgroupware-chat_0.9.16.011-1_all.deb
 088eef1c0f75cad7fc6184a110a6aa5e 435344 web optional phpgroupware-comic_0.9.16.011-1_all.deb
 4c2f05881aa122c6c787ae1c49a8f081 44572 web optional phpgroupware-dj_0.9.16.011-1_all.deb
 e9fdc24d08f0da34ee72c4bef8d07182 51820 web optional phpgroupware-eldaptir_0.9.16.011-1_all.deb
 36c1912bcacca6712a55b8d1a8b65fb1 1137252 web optional phpgroupware-email_0.9.16.011-1_all.deb
 d3f7c810ba5b2b9b7b213684b9a69cab 184796 web optional phpgroupware-felamimail_0.9.16.011-1_all.deb
 9ea2be76ea84a0153c2b3bb72da9419e 37630 web optional phpgroupware-ftp_0.9.16.011-1_all.deb
 1fe0c601033bc62470b3643b212fdada 65266 web optional phpgroupware-headlines_0.9.16.011-1_all.deb
 475c9ad83f19586dc91333da423d0746 19882 web optional phpgroupware-hr_0.9.16.011-1_all.deb
 46fa8b6ae76234d686cab118808c556d 9420 web optional phpgroupware-img_0.9.16.011-1_all.deb
 c1e183599aa3516cc235b91ec28c518d 141044 web optional phpgroupware-infolog_0.9.16.011-1_all.deb
 3c2451d151cd1842440cb1e4ea54483a 91464 web optional phpgroupware-manual_0.9.16.011-1_all.deb
 86a7d4c0aa622bcf3065ec79a17e689a 27184 web optional phpgroupware-messenger_0.9.16.011-1_all.deb
 8fac9a9ebf0fae209e68f751bed72d78 48398 web optional phpgroupware-nntp_0.9.16.011-1_all.deb
 c5e03712d2806e54d60820f18baad883 36084 web optional phpgroupware-notes_0.9.16.011-1_all.deb
 e18f09c09a497e41cbd1a2b251bcb994 21606 web optional phpgroupware-phonelog_0.9.16.011-1_all.deb
 edaea9041c05804d01639c602407a443 9435528 web optional phpgroupware-phpgwapi_0.9.16.011-1_all.deb
 319cca4eb547acbb8cdd3e40d1079a7d 117292 web optional phpgroupware-phpsysinfo_0.9.16.011-1_all.deb
 f31d7954db57bc7632da1ed3fbe232e4 32916 web optional phpgroupware-polls_0.9.16.011-1_all.deb
 72e3bc8980e19f05c6d2ab1aab3a5387 63518 web optional phpgroupware-preferences_0.9.16.011-1_all.deb
 784d3afaed50b350ccb3211b8c455b8c 126376 web optional phpgroupware-projects_0.9.16.011-1_all.deb
 bca894901458325f4d113a7dde29d6e6 31450 web optional phpgroupware-registration_0.9.16.011-1_all.deb
 7cf0431785d5e57a13a7cc7ad12ab314 281908 web optional phpgroupware-setup_0.9.16.011-1_all.deb
 cb9d27c171b49d6b639b92c1d058ffe0 19966 web optional phpgroupware-skel_0.9.16.011-1_all.deb
 be94eacfa11c1d4ad12bf898a2671a5b 24786 web optional phpgroupware-soap_0.9.16.011-1_all.deb
 dc6992d86659170f6a7c4a40fe2fd38e 23132 web optional phpgroupware-stocks_0.9.16.011-1_all.deb
 f08ede16d680db9caedd790b566cda49 53076 web optional phpgroupware-todo_0.9.16.011-1_all.deb
 8d601b9abb48018349b5412c4728c629 64296 web optional phpgroupware-xmlrpc_0.9.16.011-1_all.deb
 35303aa2779daa35687598c2dca91d97 36000 web optional phpgroupware-developer-tools_0.9.16.011-1_all.deb
 2740289ff59e5266601969e6575572f7 42644 web optional phpgroupware-news-admin_0.9.16.011-1_all.deb
 390d6adbce18e7b762ecea8cc2a93394 910882 web optional phpgroupware-sitemgr_0.9.16.011-1_all.deb
 54717cdb31d79dddd56435f88d1bf1f3 1334732 web optional phpgroupware-etemplate_0.9.16.011-1_all.deb
 5ef89444bdad2dbd79d30c7580cb7c6c 96802 web optional phpgroupware-filemanager_0.9.16.011-1_all.deb
 39736da1338064c254feea46a62fd916 178278 web optional phpgroupware-folders_0.9.16.011-1_all.deb
 7f563c2c4cd66065989aaf9f8b31f9cb 1362244 web optional phpgroupware-fudforum_0.9.16.011-1_all.deb
 5b84ce4a8fc524cb2ebaa82eb246ef75 42246 web optional phpgroupware-phpbrain_0.9.16.011-1_all.deb
 946e029b9a9c03916edea16714e188e9 24870 web optional phpgroupware-qmailldap_0.9.16.011-1_all.deb
 f5d846a77078826418484659404fa042 58266 web optional phpgroupware-tts_0.9.16.011-1_all.deb
 11d49c4fe00d76f4ee3876e4e01dc57e 71212 web optional phpgroupware-wiki_0.9.16.011-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.5 (GNU/Linux)

iD8DBQFFBinDggkdmlkhtdgRAn5yAJ0V/kFLhNvi/EYzyoeO6SitZG4BZACdHu4U
E4dPlZ6xtRTtoqyZ38wZpQc=
=hXqs
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Mitchell <ajmitch@debian.org>:
Bug#365201; Package phpgroupware-calendar. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to Andrew Mitchell <ajmitch@debian.org>. Full text and rfc822 format available.

Message #25 received at 365201@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: 365201@bugs.debian.org
Subject: Re-opening due to RFC text inside source package
Date: Tue, 24 Oct 2006 22:24:37 +0200
reopen 365201
close

Hi!  Thanks for working on this problem.

When I looked over the new package, I noticed that it still contains an
RFC inside the source package, inside a JAR file (which are ZIP files):

pkg phpgroupware ver 0.9.16.011-2
  phpgroupware/javassh/applet/src/jta25-src.jar:
  jta25/doc/rfc854.txt

There are (at least) three ways to fix this problem.  In order of
preference:

1. Ask the author of the RFC to re-license the RFC under a free
   license.  A template for this e-mail request can be found at
   http://wiki.debian.org/NonFreeIETFDocuments

2. Remove the non-free material from the source, e.g., by re-packaging
   the upstream archive and adding a 'dfsg' version name to it.

3. Move the package to non-free.

Thanks,
Simon





Bug reopened, originator not changed. Request was from Simon Josefsson <simon@josefsson.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Steve Langasek <vorlon@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Simon Josefsson <jas@extundo.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #32 received at 365201-done@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: 365201-done@bugs.debian.org
Subject: Re: [NONFREE-DOC] Package contains IETF RFC/I-D
Date: Sat, 11 Nov 2006 22:14:11 -0800
Version: 0.9.16.011-1

> When I looked over the new package, I noticed that it still contains an
> RFC inside the source package, inside a JAR file (which are ZIP files):

> pkg phpgroupware ver 0.9.16.011-2
>   phpgroupware/javassh/applet/src/jta25-src.jar:
>   jta25/doc/rfc854.txt

RFC854 was issued in 1983, and therefore AIUI predates the current RFC
copyright silliness.  I don't think there's any reason to believe the IETF
has the rights to retroactively change the license on copies of this RFC
already in distribution.

If you believe there is still a bug here, please open a separate report so
that this (IMHO much lesser) issue can be tracked separately from the bug
with RFC2445 which has already been fixed.

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug marked as found in version 0.9.16.010-1. Request was from Steve Langasek <vorlon@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Mitchell <ajmitch@debian.org>:
Bug#365201; Package phpgroupware-calendar. Full text and rfc822 format available.

Acknowledgement sent to Simon Josefsson <simon@josefsson.org>:
Extra info received and forwarded to list. Copy sent to Andrew Mitchell <ajmitch@debian.org>. Full text and rfc822 format available.

Message #39 received at 365201@bugs.debian.org (full text, mbox):

From: Simon Josefsson <simon@josefsson.org>
To: 365201@bugs.debian.org
Subject: Re: Bug#365201 closed by Steve Langasek <vorlon@debian.org> (Re: [NONFREE-DOC] Package contains IETF RFC/I-D)
Date: Mon, 13 Nov 2006 11:11:30 +0100
Debian Bug Tracking System wrote:
>> When I looked over the new package, I noticed that it still contains an
>> RFC inside the source package, inside a JAR file (which are ZIP files):
> 
>> pkg phpgroupware ver 0.9.16.011-2
>>   phpgroupware/javassh/applet/src/jta25-src.jar:
>>   jta25/doc/rfc854.txt
> 
> RFC854 was issued in 1983, and therefore AIUI predates the current RFC
> copyright silliness.  I don't think there's any reason to believe the IETF
> has the rights to retroactively change the license on copies of this RFC
> already in distribution.
> 
> If you believe there is still a bug here, please open a separate report so
> that this (IMHO much lesser) issue can be tracked separately from the bug
> with RFC2445 which has already been fixed.

There is the email from the RFC editor on 
http://wiki.debian.org/NonFreeIETFDocuments where they claim statements 
apply retroactively, although that doesn't specifically cover the 
pre-1989 copyright situation.

I don't see any reason to re-open the bug at this point, but I'll ask 
the RFC editor to clarify their view of the situation, and in particular 
whether they consider the modern copyright rules apply to old RFCs as well.

Thanks,
Simon



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew Mitchell <ajmitch@debian.org>:
Bug#365201; Package phpgroupware-calendar. Full text and rfc822 format available.

Acknowledgement sent to Steve Langasek <vorlon@debian.org>:
Extra info received and forwarded to list. Copy sent to Andrew Mitchell <ajmitch@debian.org>. Full text and rfc822 format available.

Message #44 received at 365201@bugs.debian.org (full text, mbox):

From: Steve Langasek <vorlon@debian.org>
To: Simon Josefsson <simon@josefsson.org>, 365201@bugs.debian.org
Subject: Re: Bug#365201: closed by Steve Langasek <vorlon@debian.org> (Re: [NONFREE-DOC] Package contains IETF RFC/I-D)
Date: Mon, 13 Nov 2006 11:42:55 -0800
On Mon, Nov 13, 2006 at 11:11:30AM +0100, Simon Josefsson wrote:
> Debian Bug Tracking System wrote:
> >>When I looked over the new package, I noticed that it still contains an
> >>RFC inside the source package, inside a JAR file (which are ZIP files):

> >>pkg phpgroupware ver 0.9.16.011-2
> >>  phpgroupware/javassh/applet/src/jta25-src.jar:
> >>  jta25/doc/rfc854.txt

> >RFC854 was issued in 1983, and therefore AIUI predates the current RFC
> >copyright silliness.  I don't think there's any reason to believe the IETF
> >has the rights to retroactively change the license on copies of this RFC
> >already in distribution.

> >If you believe there is still a bug here, please open a separate report so
> >that this (IMHO much lesser) issue can be tracked separately from the bug
> >with RFC2445 which has already been fixed.

> There is the email from the RFC editor on 
> http://wiki.debian.org/NonFreeIETFDocuments where they claim statements 
> apply retroactively, although that doesn't specifically cover the 
> pre-1989 copyright situation.

The IETF did not write these RFCs, the individual contributors did; I don't
believe the IETF has standing to assert copyright over documents written by
the individual RFC authors between 1978 and 1988 (i.e., before the United
States ratified the Berne Convention).

-- 
Steve Langasek                   Give me a lever long enough and a Free OS
Debian Developer                   to set it on, and I can move the world.
vorlon@debian.org                                   http://www.debian.org/



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 08:28:43 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 21:39:08 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.